> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Column Mapping

> Reject the column mapping for a document (Phase 7 HITL).

This will mark the document as rejected and prevent further processing.
The document can still be deleted or have its mapping edited and confirmed later.

Requires: document:write permission



## OpenAPI

````yaml /openapi/merchantops-public.json post /api/lakehouse/documents/{document_id}/mapping/reject
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/lakehouse/documents/{document_id}/mapping/reject:
    post:
      tags:
        - Product Lakehouse
      summary: Reject Column Mapping
      description: >-
        Reject the column mapping for a document (Phase 7 HITL).


        This will mark the document as rejected and prevent further processing.

        The document can still be deleted or have its mapping edited and
        confirmed later.


        Requires: document:write permission
      operationId: reject_column_mapping
      parameters:
        - in: path
          name: document_id
          required: true
          schema:
            title: Document Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ColumnMappingConfirmResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ColumnMappingConfirmResponse:
      description: Response after confirming column mapping.
      properties:
        document_id:
          title: Document Id
          type: string
        message:
          title: Message
          type: string
        status:
          title: Status
          type: string
      required:
        - document_id
        - status
        - message
      title: ColumnMappingConfirmResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````